Skip to main content
GET
List customers
The endpoint for retrieving customer details allows you to access a single customer record by providing either the customer ID or the company number. At least one of these parameters (id or companyNumber) must be included in the request, ensuring flexibility and ease of use. For more information on how versioning works and how to include it in your requests, please refer to the Versioning page.

Request Parameters

The following parameters are conditionally required in the URL:

Example CURL Request

OR
Replace YOUR_ACCESS_TOKEN with your actual Bearer token. Use either id or companyNumber as required.

Response Fields

The following fields are included in the response:

Rate Limits

All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by completing the fields for the parameters below. As you fill out the parameters, the CURL command on the right side of the page will be automatically updated. Alternatively, you can fork our Public API Postman Collection directly. Make sure to authorize yourself before trying a request.

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.

Path Parameters

version
string
default:1.0
required

API version (e.g., 1.0)

Example:

"1.0"

Query Parameters

id
string
companyNumber
string

Response

OK

Id
string
required
Name
string
required
CompanyNumber
string
required
Type
string
required
Status
string
required
Email
string[]
required
Phone
string[]
required
Contacts
object[]
required
Notes
object[]
required
BillingAddress
object | null
Fax
string | null
DateCreated
string<date-time> | null
InvoicingInformation
object | null
ExternalId
string | null
SalesAgentId
string | null